upd 2020/06/16 : 之前的图片貌似显示不了, 换了个图床, 应该可以显示图片了.

前言

刚装好 Ubuntu 20.04, 准备安装 emacs, 按照网上的步骤, 结果出现了下面的东西…..

怎么都无法解决….

所以, 我决定, 手动安装 emacs.

网上的参考资料是真的少, 唯一的资料是一篇 11 年的博客 ([Emacs23.3 在 ubuntu10.10 下的手动编译与安装]).

不过这篇博客还是讲得挺详细的, 不过由于年代久远, 有些地方还是不太一样, 所以我决定自己写一篇安装笔记.

过程

一 找到安装包

这个比较简单, 直接官网即可. 下载源在这, 选择版本下载就行了. (注意 : 要下载的是 tar.xz 文件, 而不是 tar.xz.sig ).

二 前置步骤

下载并解压后, 在文件目录下打开终端, 输入

./configure

发现终端显示如下

说明系统内缺少了 GNU Make, 那我们就想办法安装 GNU Make.

直接 bing, 在官网上找到下载源, 选择版本并下载.

下载完成后解压, 打开文件夹, 打开终端, 同样输入

./configure

运行完成后, 输入

make

如果显示以下界面

则输入

sudo apt install make

来安装 make. 安装完成后, 重新输入 make.

接着, 输入

sudo make install

运行完毕后, GNU Make 就安装完成了.

然后, 我们再打开 emacs 的文件夹, 打开终端, 输入

./configure

发现不会出现之前的报错了.

运行一会后, 发现又出问题了.

根据那篇 11 年的博客, 原因如下

> 上面这段错误提示的大意是没有装 GTK+等图形开发库,如果不想在图形界面下使用 Emacs,可以使用--without-x 选项进行编译

所以, 我们就需要安装一些开发库.

在终端中依次输入以下命令

sudo apt install libgtk-3-dev
sudo apt install libxpm-dev
sudo apt install libjpeg-dev
sudo apt install libgif-dev
sudo apt install libtiff-dev
sudo apt install libncurses-dev
apt-cache search libgnutls.*-dev
sudo apt-get install libgnutls.*-dev (注意, 这里一定要使用 apt-get, 使用 apt 会显示"无法定位软件包".)

至此, 前置工作就准备完了.

三 正式安装

再打开 emacs 的文件夹, 打开终端, 输入

./configure

运行完成后, 再依次输入

make
sudo make install

完成后, 输入

emacs

即可进入 emacs 图形界面.

若想用终端运行, 则输入

emacs -nw

即可.

分类: 文章

4 条评论

boshi · 2020年6月15日 2:53 下午

图片好像无法显示诶

    Qiuly · 2020年6月16日 2:40 下午

    这个图我看了新建标签打开是可以的 /yun

    不知道这里怎么了(

    BruceW · 2020年6月16日 7:08 下午

    fixed

Qiuly · 2020年6月14日 10:13 下午

感谢发文 ヾ(≧▽≦*)o

感谢您对 Mina! 的支持,请再接再厉哦 /qq

发表评论

电子邮件地址不会被公开。 必填项已用*标注

*

code